Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_ProxyPushSupplier_i Class Reference

TAO_Notify_ProxyPushSupplier_i. More...

`#include <Notify_ProxyPushSupplier_i.h>`

Inheritance diagram for TAO_Notify_ProxyPushSupplier_i:

[legend]
Collaboration diagram for TAO_Notify_ProxyPushSupplier_i:

[legend]
List of all members.

## Public Methods
| TAO_Notify_ProxyPushSupplier_i (TAO_Notify_ConsumerAdmin_i *consumeradmin)
| Constructor. More...
virtual | ~TAO_Notify_ProxyPushSupplier_i (void)
| Destructor. More...
virtual void | connect_any_push_consumer (CosEventComm::PushConsumer_ptr push_consumer ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected, CosEventChannelAdmin::TypeError )
virtual void | disconnect_push_supplier (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL)
| Shutdown. More...
## Protected Methods
void | shutdown_i (ACE_ENV_SINGLE_ARG_DECL)
| Shutdown. More...
virtual void | dispatch_event_i (TAO_Notify_Event &event ACE_ENV_ARG_DECL)
| Deliver the event to the consumer. More...
virtual void | dispatch_update_i (CosNotification::EventTypeSeq added, CosNotification::EventTypeSeq removed ACE_ENV_ARG_DECL)
| Deliver the update to the consumer. More...
## Protected Attributes
CORBA::Boolean | notify_style_consumer_
| True if the consumer supports the NotifyPublish interface. If it does, we use the <notify_push_consumer_> else <cosec_push_consumer_>. More...
CosEventComm::PushConsumer_var | cosec_push_consumer_
| The consumer connected to us. More...
CosNotifyComm::PushConsumer_var | notify_push_consumer_
## Private Types
typedef TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::ProxyPushSupplier > | proxy_inherited

## Detailed Description

TAO_Notify_ProxyPushSupplier_i.

implements CosNotifyChannelAdmin::ProxyPushSupplier.

## Member Typedef Documentation

typedef TAO_Notify_ProxySupplier<POA_CosNotifyChannelAdmin::ProxyPushSupplier> TAO_Notify_ProxyPushSupplier_i::proxy_inherited`[private]`

## Constructor & Destructor Documentation

TAO_Notify_ProxyPushSupplier_i::TAO_Notify_ProxyPushSupplier_i | ( | TAO_Notify_ConsumerAdmin_i * | consumer_admin | ) |

| Constructor.

TAO_Notify_ProxyPushSupplier_i::~TAO_Notify_ProxyPushSupplier_i | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void TAO_Notify_ProxyPushSupplier_i::connect_any_push_consumer | ( | CosEventComm::PushConsumer_ptr push_consumer | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected, CosEventChannelAdmin::TypeError )`[virtual]`

void TAO_Notify_ProxyPushSupplier_i::disconnect_push_supplier | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_ProxyPushSupplier_i::dispatch_event_i | ( | TAO_Notify_Event &event | ACE_ENV_ARG_DECL | ) | `[protected, virtual]`

| Deliver the event to the consumer. Reimplemented from TAO_Notify_ProxySupplier.

void TAO_Notify_ProxyPushSupplier_i::dispatch_update_i | ( | CosNotification::EventTypeSeq | added,
|  | CosNotification::EventTypeSeq removed | ACE_ENV_ARG_DECL
| ) | `[protected, virtual]`

| Deliver the update to the consumer. Reimplemented from TAO_Notify_Proxy.

void TAO_Notify_ProxyPushSupplier_i::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Shutdown. Reimplemented from TAO_Notify_EventListener.

void TAO_Notify_ProxyPushSupplier_i::shutdown_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected]`

| Shutdown.

## Member Data Documentation

CosEventComm::PushConsumer_var TAO_Notify_ProxyPushSupplier_i::cosec_push_consumer_`[protected]`

| The consumer connected to us.

CosNotifyComm::PushConsumer_var TAO_Notify_ProxyPushSupplier_i::notify_push_consumer_`[protected]`

CORBA::Boolean TAO_Notify_ProxyPushSupplier_i::notify_style_consumer_`[protected]`

| True if the consumer supports the NotifyPublish interface. If it does, we use the <notify_push_consumer_> else <cosec_push_consumer_>.

The documentation for this class was generated from the following files:

- Notify_ProxyPushSupplier_i.h
- Notify_ProxyPushSupplier_i.cpp